Subject: Re: linux-next: build failure after merge of the dma-mapping tree

From: Christoph Hellwig <[email-masked]>
Date: Wed, 8 May 2024 15:45:17 +0200

On Wed, May 08, 2024 at 10:51:28AM +0200, Alexander Lobakin wrote:
> I'm verry sorry for that. I had 2 trees, one with const get_dma_addr()
> and dma-for-next without const, and didn't check it compiles after
> rebasing >_<
> 
> net-next already has this const. We could leave it as in your attached
> patch, but then there'll be a trivial conflict when merging with
> net-next. Or I can send an incremental quick fix for dma-for-next, but
> then 2 commits (one in your tree and one in net-next) will have these
> changes duplicated.
> What do you think?

Let's just add the const annoations after the trees are merged into
Linus' tree. Nothing really wrong with not having them right now.